TrustKeeper Scan Engine Update for April 07, 2016

Summary

The latest update to the TrustKeeper scan engine that powers our Trustwave Vulnerability Management product (including both internal and external vulnerability scanning) is now available. Enjoy!

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

ISC BIND

  • Bind vulnerable to Denial of Service via a crafted DNS response (vulnerability in opengpgkey_61.c) (CVE-2015-5986)
  • Bind vulnerable to Denial of Service via a crafted flag values in a query (CVE-2016-1284)
  • Bind vulnerable to Denial of Service via a crafted signature record for a DNAME record (CVE-2016-1286)
  • Bind vulnerable to Denial of Service via a malformed packet to control channel interface (CVE-2016-1285)
  • Bind vulnerable to Denial of Service via a malformed packet with multiple cookie options (CVE-2016-2088)

PostgreSQL

  • PostgreSQL allows for Denial of Service via pgcrypto (CVE-2015-5288)
  • Buffer overflow via json parsing in PostgreSQL (CVE-2015-5289)
  • PostgreSQL allows denial of service through expensive regular expressions (CVE-2016-0773)

Microsoft

  • Microsoft Exchange Server allows attackers to inject arbitrary HTML (CVE-2016-0030)
  • Microsoft Exchange Server allows attackers to inject arbitrary HTML via Spoofing Vulnerability (CVE-2016-0032)
  • Microsoft Exchange Server 2016 allow attackers to inject arbitrary HTML (CVE-2016-0029)
  • Microsoft Exchange Server 2016 allows attackers to inject arbitrary HTML (CVE-2016-0031)

WordPress

  • WordPress Cross-site Scripting Vulnerability in user list table (CVE-2015-7989)
  • WordPress Cross-site Scripting Vulnerability via shortcode tags (CVE-2015-5714)
  • WordPress Cross-site Scripting Vulnerability via theme customization (CVE-2016-1564)
  • WordPress Open redirect vulnerability in wp-includes/pluggable.php (CVE-2016-2221)
  • WordPress Policy Bypass via setting private posts to be sticky (CVE-2015-5715)
  • WordPress Server-side Request Forgery for certain local URIs (CVE-2016-2222)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates automatically as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.